Users

Search All Users

GET
/users

Search and list any users by text query

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

search?string

Searches by displayName. Will return empty array if search query is empty or missing.

Length0 <= length
developerType?string

Active user by developer type, none for normal users and internal for moderators

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
offset?integer

A zero-based offset from the default object sorting from where search results start.

Range0 <= value
isInternalVariant?boolean

Not quite sure what this actually does (exists on the website but doesn't seem to be used)

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/users"
[
  {
    "bio": "string",
    "bioLinks": [
      "string"
    ],
    "currentAvatarImageUrl": "https://api.vrchat.cloud/api/1/file/file_ae46d521-7281-4b38-b365-804b32a1d6a7/1/file",
    "currentAvatarTags": [
      "string"
    ],
    "currentAvatarThumbnailImageUrl": "https://api.vrchat.cloud/api/1/image/file_aae83ed9-d42d-4d72-9f4b-9f1e41ed17e1/1/256",
    "developerType": "internal",
    "displayName": "string",
    "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "isFriend": true,
    "last_platform": "standalonewindows",
    "profilePicOverride": "string",
    "pronouns": "string",
    "status": "active",
    "statusDescription": "string",
    "tags": [
      "string"
    ],
    "userIcon": "string"
  }
]

{
  "error": {
    "message": "n=1000 is much too high․ implement paging you savages․",
    "status_code": 400
  }
}

{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}